dnl $Id$
dnl config.m4 for extension coin_acceptor

PHP_ARG_ENABLE(coin_acceptor, whether to enable coin_acceptor support,
[  --enable-coin-acceptor           Enable coin-acceptor support])

PHP_ARG_ENABLE(ca_prom, whether to enable coin_acceptors prom support,
[    --enable-ca-prom               Enable ca's prom support], no, no)

PHP_ARG_ENABLE(ca_command, whether to enable coin_acceptors direct command support,
[    --enable-ca-command            Enable ca's direct command support], no, no)

if test "$PHP_COIN_ACCEPTOR" != "no"; then
  PHP_COIN_ACCEPTOR_CFLAGS=""
  
  if test "$PHP_CA_PROM" != "no"; then
  	PHP_COIN_ACCEPTOR_PROM_CFLAGS="-DHAVE_PROM_SUPPORT"
  fi

  if test "$PHP_CA_COMMAND" != "no"; then
  	PHP_COIN_ACCEPTOR_COMMAND_CFLAGS="-DHAVE_COMMAND_SUPPORT"
  fi

  PHP_NEW_EXTENSION(coin_acceptor, coin_acceptor.c, $ext_shared,,\
  $PHP_COIN_ACCEPTOR_CFLAGS $PHP_COIN_ACCEPTOR_PROM_CFLAGS $PHP_COIN_ACCEPTOR_COMMAND_CFLAGS)
fi
